Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages.exceptions
[Java] Class GroovyPagesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.codehaus.groovy.grails.exceptions.GrailsException
                      org.codehaus.groovy.grails.web.pages.exceptions.GroovyPagesException

All Implemented Interfaces:
  SourceCodeAware

    public class GroovyPagesException
    extends GrailsException

Thrown when processing GSP pages.

Authors:
  Graeme Rocher

Since:
  0.5

Constructor Summary
`GroovyPagesException(java.lang.String message, java.lang.Throwable e)`
`GroovyPagesException(java.lang.String message, java.lang.Throwable exception, int lineNumber, java.lang.String fileName)`
`GroovyPagesException(java.lang.String message)`

Method Summary
`java.lang.String` | `getFileName()`
`int` | `getLineNumber()`

Methods inherited from class java.lang.RuntimeException
java.lang.RuntimeException#printStackTrace(), java.lang.RuntimeException#printStackTrace(java.io.PrintWriter), java.lang.RuntimeException#printStackTrace(java.io.PrintStream), java.lang.RuntimeException#fillInStackTrace(), java.lang.RuntimeException#getCause(), java.lang.RuntimeException#initCause(java.lang.Throwable), java.lang.RuntimeException#toString(), java.lang.RuntimeException#getMessage(), java.lang.RuntimeException#getLocalizedMessage(), java.lang.RuntimeException#getStackTrace(), java.lang.RuntimeException#setStackTrace([Ljava.lang.StackTraceElement;), java.lang.RuntimeException#addSuppressed(java.lang.Throwable), java.lang.RuntimeException#getSuppressed(), java.lang.RuntimeException#wait(long, int), java.lang.RuntimeException#wait(long), java.lang.RuntimeException#wait(), java.lang.RuntimeException#equals(java.lang.Object), java.lang.RuntimeException#hashCode(), java.lang.RuntimeException#getClass(), java.lang.RuntimeException#notify(), java.lang.RuntimeException#notifyAll()

Constructor Detail

### GroovyPagesException

    public GroovyPagesException(java.lang.String message, java.lang.Throwable e)

### GroovyPagesException

    public GroovyPagesException(java.lang.String message, java.lang.Throwable exception, int lineNumber, java.lang.String fileName)

### GroovyPagesException

    public GroovyPagesException(java.lang.String message)

Method Detail

### getFileName

    public java.lang.String getFileName()

### getLineNumber

    public int getLineNumber()

Groovy Documentation